/*
 * NetApp Validator API
 * Simple API for calling the VITAL-5G NetApp validator
 *
 * OpenAPI spec version: 1.0.0
 * Contact: alex.vulpe@beia.ro
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.netappvalidator.client.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * Response
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-08-16T09:19:50.378Z[GMT]")
public class Response {
  @SerializedName("id")
  private String id = null;

  @SerializedName("validationString")
  private String validationString = null;

  @SerializedName("valid")
  private Boolean valid = null;

  public Response id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Get id
   * @return id
  **/
  @Schema(description = "")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public Response validationString(String validationString) {
    this.validationString = validationString;
    return this;
  }

   /**
   * Get validationString
   * @return validationString
  **/
  @Schema(description = "")
  public String getValidationString() {
    return validationString;
  }

  public void setValidationString(String validationString) {
    this.validationString = validationString;
  }

  public Response valid(Boolean valid) {
    this.valid = valid;
    return this;
  }

   /**
   * Get valid
   * @return valid
  **/
  @Schema(description = "")
  public Boolean isValid() {
    return valid;
  }

  public void setValid(Boolean valid) {
    this.valid = valid;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Response response = (Response) o;
    return Objects.equals(this.id, response.id) &&
        Objects.equals(this.validationString, response.validationString) &&
        Objects.equals(this.valid, response.valid);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, validationString, valid);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Response {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    validationString: ").append(toIndentedString(validationString)).append("\n");
    sb.append("    valid: ").append(toIndentedString(valid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
